Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class ReturnReceipt

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.mail.Message
              portlets.compoze.groupware.mail.ReturnReceipt

All Implemented Interfaces:
  java.io.Serializable

public class ReturnReceipt
extends Message
implements java.io.Serializable

This class represents a return receipt.

See Also:
  Serialized Form

Constructor Summary
`ReturnReceipt(java.lang.String sID)` Constructor

Method Summary
`java.lang.String[]` | `getBodyMessageArgs(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the return receipt body i18n message args.
`java.lang.String` | `getBodyMessageName()` Gets the return receipt body i18n resource key.
`void` | `setBodyMessageArgs(java.lang.String[] args)` Sets the return receipt body i18n message args.
`void` | `setBodyMessageName(java.lang.String sBodyMessageName)` Sets the return receipt body i18n resource key.
`void` | `setDeliveryDate(java.util.Date deliveryDate)` Sets the delivery date.

Methods inherited from class portlets.compoze.groupware.mail.Message
`getEmbeddedMessageIndex, getFlag, getFolderID, getFolderName, getParentMessageID, getRecipientInfo, getSenderInfo, getSensitivity, getTimeReceived, getToRecipientsDisplay, isEmbedded, isPreventForward, isRead, isReplySentFlag, setEmbeddedMessageIndex, setFlag, setFolderID, setFolderName, setIsEmbedded, setIsPreventForward, setIsRead, setIsReplySentFlag, setParentMessageID, setRecipientInfo, setSenderInfo, setSensitivity, setTimeReceived, setToRecipientsDisplay`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturnReceipt

    public ReturnReceipt(java.lang.String sID)

  Constructor

Parameters:
  `sID` - the ID

Method Detail

### getBodyMessageName

    public java.lang.String getBodyMessageName()

  Gets the return receipt body i18n resource key.

  Returns:
    the return receipt body i18n resource key

### setBodyMessageName

    public void setBodyMessageName(java.lang.String sBodyMessageName)

  Sets the return receipt body i18n resource key.

  Parameters:
    `sBodyMessageName` - the return receipt body i18n resource key

### setBodyMessageArgs

    public void setBodyMessageArgs(java.lang.String[] args)

  Sets the return receipt body i18n message args.

  Parameters:
    `args` - the return receipt body i18n message args

### getBodyMessageArgs

    public java.lang.String[] getBodyMessageArgs(java.util.Locale locale,
                                                 java.util.TimeZone timeZone)

  Gets the return receipt body i18n message args.

  Returns:
    the return receipt body i18n message args

### setDeliveryDate

    public void setDeliveryDate(java.util.Date deliveryDate)

  Sets the delivery date.

  Parameters:
    `deliveryDate` - the delivery date

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.